%global momorel 1
%global qtdir /usr/lib/qt3
%global qtver 3.2.3
%global qtrel 4m
%global kdedir /usr
%global kdever 3.2.3
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src

Name: kdeedu
#Icon: kde-icon.xpm
Summary: K Desktop Environment - Education
Version: %{kdever}
Release: %{momorel}m
#%%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 1c41b731f26269fdb39f2c097a95dd9a
# mirror site in Japan.
%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 1c41b731f26269fdb39f2c097a95dd9a
Group: Amusements/Graphics
License: GPL
Requires: qt >= %{qtver}-%{qtrel}, kdebase >= %{kdever}, kdelibs >= %{kdever}
BuildPrereq: qt-devel >= %{qtver}-%{qtrel}, kdelibs-devel >= %{kdever}, libpng >= 1.2.0
ExcludeArch: ia64
BuildPreReq: autoconf >= 2.56-3m 
BuildPreReq: perl 
URL: http://www.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Educational/Edutainment applications for KDE
This package includes,

  keduca: creation and revision of form-based tests and exams.
  kgeo: interactive geometry
  khangman: hangman game. The child should guess a word letter by letter.
  klatin: aims to help revise or learn latin
  klettres: helps child to learn french alphabet and to read some syllables
  kmessedwords: letter order game
  kstars: desktop planetarium
  ktouch: program for learning touch typing
  kvoctrain: vocabulary trainer

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

perl -p -i -e "s|autoconf|autoconf-2.53|g" admin/Makefile.common 
perl -p -i -e "s|autoheader|autoheader-2.53|g" admin/Makefile.common 

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}
%ifnarch alpha
CFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG -fno-check-new" \
%else
CFLAGS="-D_GNU_SOURCE -O0" CXXFLAGS="-D_GNU_SOURCE -O0 -fno-check-new" \
%endif

export CFLAGS
export CXXFLAGS

if [ `gcc -dumpversion` = "3.3" ]; then
CFLAGS="$CFLAGS -fno-stack-protector"
CXXFLAGS="$CXXFLAGS -fno-stack-protector"
fi

./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --enable-final
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# Make symlinks relative
cd %{buildroot}/usr/share/doc/HTML/en
for i in *; do
	[ -d $i -a -L $i/common ] && ln -nfs ../common $i/common
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/Edutainment/*
%{_datadir}/apps/*
%{_datadir}/doc/HTML/en/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/config.kcfg/klettres.kcfg

%changelog
* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Dec 27 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Wed Aug 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- add -fno-stack-protector if gcc is 3.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- no changes since 3.1.1

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KStars: 
      Fixed bug #51708: No longer exits if starting position is below horizon (only affected some systems)
      Fixed bug #52205: Country of Lhasa is China, not Tibet. 
      Fixed too-narrow coordinates field in statusbar.
      Fixed bug in "length of day" calculator module; it now properly accounts for latitude and longitude

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.
